FREEFOAM-SPLITMESHREGIONS(1)

NAME
freefoam-splitMeshRegions - Splits mesh into multiple regions.

SYNOPSIS

freefoam splitMeshRegions [-cellZones] [-help] [-makeCellZones] [-sloppyCellZones] [-blockedFaces <faceSet name>] [-largestOnly] [-srcDoc] [-doc] [-overwrite] [-insidePoint <point>] [-parallel] [-case <dir>] [-detectOnly]

DESCRIPTION

Each region is defined as a domain whose cells can all be reached by cell-face-cell walking without crossing - boundary faces - additional faces from faceset (-blockedFaces faceSet). - any face inbetween differing cellZones (-cellZones)

Output is: - volScalarField with regions as different scalars (-detectOnly) or - mesh with multiple regions or - mesh with cells put into cellZones (-makeCellZones)

OPTIONS

-cellZones
    Split different cell zones.

-detectOnly
    Do no processing.

-blockedFaces <faceSet name>
    Split at give face set.

-sloppyCellZones
    Try to match regions to existing cell zones.

-makeCellZones
    Create mesh with cells in different cell zones.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

-insidePoint <point>
    Only keep region containing specified point.

-largestOnly
    Only keep largest region.

NOTE

    • cellZonesOnly does not do a walk and uses the cellZones only. Use this if you don’t mind having disconnected domains in a single region. This option requires all cells to be in one (and one only) cellZone.

    • cellZonesFileOnly behaves like -cellZonesOnly but reads the cellZones from the specified file. This allows one to explicitly specify the region distribution and still have multiple cellZones per region.

    • useCellZonesOnly does not do a walk and uses the cellZones only. Use this if you don’t mind having disconnected domains in a single region. This option requires all cells to be in one (and one only) cellZone.

    • Should work in parallel. cellZones can differ on either side of processor boundaries in which case the faces get moved from processor patch to directMapped patch. Not very well tested.

    • If a cell zone gets split into more than one region it can detect the largest matching region (-sloppyCellZones). This will accept any region that covers more than 50% of the zone. It has to be a subset so cannot have any cells in any other zone.

    • writes maps like decomposePar back to original mesh:

        • pointRegionAddressing : for every point in this region the point in the original mesh

        • cellRegionAddressing : ,, cell ,, cell ,,

        • faceRegionAddressing : ,, face ,, face in the original mesh + turning index. For a face in the same orientation this is the original facelabel+1, for a turned face this is -facelabel-1

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.